const Shark = require('../');
const { Client } = require('poolish');

const shark = new Shark(new Client({
  host: 'localhost',
  port: 5001
}));
// shark.on('connected', client => console.log(`Client [${client.id}] connected.`));
// shark.on('disconnected', client => console.warn(`Client [${client.id}] disconnected.`));
shark.on('error', (error, tag) => console.error(tag, error));

shark.sendSync({ c: 'user/findByName', params: { name: 'Misery' } }).then(console.log).catch(console.error);

for (let i = 0; i < 100; i++) {
  shark.sendSync({ c: 'wallet/recharge', params: { amount: 10 } }).then(console.log).catch(console.error);
}
shark.sendSync({
  c: 'wallet/recharge',
  params: { amount: 10 }
}).then(console.log).catch(console.error);