const Joi = require('joi');

exports.validate = {
  amount: Joi.number().min(0).default(10).description('Amount to recharge')
};
exports.output = {
  amount: Joi.number()
};
exports.handler = async ({ amount }) => {
  return {
    amount,
  };
};